Gnu: toward the post-scarcity world – the Free Software Column
================================================================================
**It is 30 years since Richard Stallman announced that he was going to write a complete UNIX-compatible software system called GNU, pioneering the idea of free and open source software, but the struggle continues **

![](http://www.linuxuser.co.uk/wp-content/uploads/2011/04/Richard-Hillesley-200x150.jpg)

Gnu was not the first software to be distributed free, but became the first manifestation of a lasting and “explicit political campaign to make software free”.

In the GNU Manifesto, Stallman expressed the romantic ideal. “In the long term,” he wrote, “making programs free is a step toward the post- scarcity world, where nobody will have to work very hard just to make a living. People will be free to devote themselves to activities that are fun, such as programming, after spending the necessary ten hours a week on required tasks such as legislation, family counselling, robot repair and asteroid prospecting…”

In the real world, GNU grew directly out of ‘the EMACS commune’ and the disputes that arose around James Gosling’s version of Emacs for UNIX. In the ‘Emacs Manual for ITS Users’, dated 22 October 1981, Stallman was already expressing the ideas that gave rise to the GPL.

“Emacs does not cost anything,” he wrote. “Instead, you are joining the Emacs software-sharing commune. The conditions of membership are that you must send back any improvements you make to Emacs, including any libraries you write…”

Initially, Gosling allowed free distribution of the source code to Gosling EMACS, to which others had contributed. However, in April 1983, as Stallman tells it (bit.ly/d58ndg): “He stabbed everyone in the back by putting copyrights on it, making people promise not to redistribute it, and then selling it to a software house.”

Stallman was hurt by what he saw as a betrayal, and said of Gosling, who later became known as the father of Java, “My later dealings with him personally showed that he was every bit as cowardly and despicable as you would expect from that history. “

The recriminations and legal threats surrounding these events led directly to the founding of GNU, and later, to the GPL. Gosling Emacs was soon eclipsed by GNU Emacs. The first tangible version of the GPL emerged as ‘the GNU Emacs copying permission notice’ in 1985, and went through several versions before the release of GPL 1.0 in 1989.

Stallman later recounted that when he founded GNU, people had said, “Oh, this is an infinitely hard job; you can’t possibly write a whole system like UNIX. How can we possibly do that much? It would be nice, but it’s just hopeless.” But his response was that he was would do it anyway. “This is where I am great. I am great at being very, very stubborn and ignoring all sorts of reasons why you should change your goal, reasons that many other people will be susceptible to. Many people want to be on the winning side. I didn’t give a damn about that. I wanted to be on the side that was right, and even if I didn’t win, at least I was going to give it a good try.”

“It’s not about money”, he said in 1999, “it’s about freedom. If you think it’s about money you’ve missed the point. I want to use a computer in freedom, to co-operate, to not be restricted or prohibited from sharing. The GNU/Linux system is catching on somewhat more now. The system is becoming popular for practical reasons. It’s a good system. The danger is people will like it because it’s practical and it will become popular without anyone having the vaguest idea of the ideals behind it, which would be an ironic way of failing.”

Free software owes much to the obduracy and insights of Stallman, but as he suggested in his history of the GNU project, the struggle and the cause of free software is just as indebted to the contributions of others, and threats to its existence continue.

“I have done most of my work while anxious about whether I could do the job, and unsure that it would be enough to achieve the goal if I did. But I tried anyway, because there was no one but me between the enemy and my city. Surprising myself, I have sometimes succeeded.

“Sometimes I failed; some of my cities have fallen. Then I found another threatened city, and got ready for another battle. Over time, I’ve learned to look for threats and put myself between them and my city, calling on other hackers to come and join me.

“Nowadays, often I’m not the only one. It is a relief and a joy when I see a regiment of hackers digging in to hold the line, and I realise, this city may survive – for now. But the dangers are greater each year.”

--------------------------------------------------------------------------------

via: http://www.linuxuser.co.uk/features/gnu-toward-the-post-scarcity-world-the-free-software-column

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出
