翻译中  by tomatoKiller

The Genius Of Linux Is Community, Not Technology
================================================================================
> Linux never fulfilled its original promise as an old-school desktop operating system. But its everywhere in 2013, driven by a vibrant community.

2013 was the year of Linux in everything. Linux Foundation executive director Jim Zemlin declared that Linux's ubiquity has reached every corner of computing. "From smartphones, tablets, consumer appliances and cars, to the open cloud and high-performance computers, to gaming platforms and more, Linux was, and is, literally everywhere," [Zemlin said][1].

How did Linux spread to every corner of the world of technology? After all, Linux never truly realized its initial promise as an old-school desktop operating system destined to take down Microsoft and Windows. Kernels and code are only part of the story. The omnipresence of Linux comes down to it's far-ranging ability to inspire and unite a community, rather than to superior technology.

### Good Enough And Then Some ###

That being said, we are not suggesting that Linux would have been nearly as successful if the technology were poor. As Monica Kumar, senior director of Linux, MySQL, Virtualization and Open Source Product Marketing at Oracle, [tells it][2], "without superior tech, the superior community would not have rallied around Linux." This is [one of the key components][3] of any successful open-source project: great initial code. 

But it's not enough. 

When it launched, Linux was a cheap, 'good enough' alternative to proprietary UNIX. It wasn't, however, better. Indeed, more than 10 years after Linux was first developed [InfoWorld could credibly claim][4] that UNIX variant "Solaris is the technologically superior OS" compared to Linux. UNIX, after all, is targeted at a relatively narrow class of applications and hardware, allowing its vendors to heavily optimize it for suggested workloads.

As [IBM explains][5], Linux is the exact opposite:

> The development of GNU/Linux...is more diverse [than that of UNIX]. Developers come from many different backgrounds, and therefore have different experiences and opinions. There has not been as strict of a standard set of tools, environments, and functionality within the Linux community....This lack of standards results in noticeable inconsistencies within Linux. 

It also, ironically, results in Linux's greatest strength: the ability to be all things to all users.

### Why The Community Loves Linux ###

But why Linux? Given that Linux was barely good enough for most tasks when it launched, what motivated a community to form? Brent Fox, director of OEM Programs at Canonical, the Ubuntu Linux vendor, argues that the rewards of a common platform justified the risk it would fail:

> [@mjasay][6] The tech itself was immature for a long time. It was the potential to disrupt the established OS players. That draws a large crowd.
> — Brent Fox (@brentfox) [December 19, 2013][7]

This is mostly true, but it doesn't fully match history. After all, one of the earliest proponents of Linux was a company that had a sizable UNIX business to protect: IBM. But IBM needed Linux to unify its disparate hardware lines, and saw the potential to build an even bigger hardware and services business on Linux, even at the expense of some UNIX revenue.

Today, Linux sits at the heart of many billion-dollar businesses. What started as Linus Torvalds' hack has become the focal point for some of the world's biggest companies and best developers, as the "[Who Writes Linux?" report reflects][8]. 

### Strength Through Diversity ... And Linus ###

The ability to corral conflicting, sometimes competitive interests under one banner that has made Linux so successful. It has motivated wildly disparate companies and individual developers to shape Linux to meet their needs. As Apache Software Foundation president [Jim Jagielski told me][9], "Building a kernel is easy, compared to building a healthy and viable community. Linux succeeds because the community does."

The list of the top Linux development sponsors points to those seeking and finding Linux success:

![](http://readwrite.com/files/Screen%20Shot%202013-12-19%20at%208.58.36%20AM.png)

ndergirding this diversity is [Linus Torvalds' phenomenal leadership][10]. With everyone jockeying to make Linux their own, Torvalds has managed to make Linux a meritocracy backed by his authority to say "No." It has worked very well, but there has been enough give to let companies contribute drivers or other technology that makes Linux a strong fit for their customers.

As fantastic as Linux technology has become, however, it's arguably not Linux's greatest strength. As Zemlin told me in an email:

> I don't get asked as much about Linux these days even though it is used everywhere. Companies want to know how to maximize it but also how to apply its principles to other things. This is what I'm increasing asked about and talking about: how the community works.

Great technology is written all the time. Most of it fails miserably to find an audience. The genius of Linus Torvalds, and Linux development that he shaped, is the community development model he largely pioneered and perfected. 

--------------------------------------------------------------------------------

via: http://readwrite.com/2013/12/19/the-genius-of-linux-is-community-not-technology#feed=/hack

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.linuxfoundation.org/news-media/blogs/browse/2013/12/2013-year-linux-the%E2%80%A6everything
[2]:https://twitter.com/mbkumar/status/413689410308173825
[3]:http://asay.blogspot.com/2005/09/so-you-want-to-build-open-source.html
[4]:http://www.infoworld.com/t/platforms/seven-ways-solaris-can-beat-linux-978
[5]:http://www.ibm.com/developerworks/aix/library/au-unix-difflinux.html
[6]:https://twitter.com/mjasay
[7]:https://twitter.com/brentfox/statuses/413696557620293632
[8]:http://www.linuxfoundation.org/publications/linux-foundation/who-writes-linux-2013
[9]:https://twitter.com/jimjag/status/413704747791970304
[10]:http://readwrite.com/2013/08/27/linux-turns-22-but-open-source-is-eternal
